package com.muyu.common.core.validation.custom;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import static java.lang.annotation.RetentionPolicy.RUNTIME;

/**
 * @ClassName IsSystemPayType
 * @Description validation自定支付渠道校验
 * @Author Chen
 * @Date 2024/8/8 9:52
 */
@Target({ElementType.FIELD})
@Retention(RUNTIME)
@Documented
@Constraint(validatedBy = {SystemPayTypeValidator.class})
public @interface IsSystemPayType {
    String message() default "[支付渠道] - 参数不合法";

    Class<?>[] groups() default { };
    Class<? extends Payload>[] payload() default { };

}
